Copyright: Created with EasyHelp (Tel: 0973 209667)


Ordinal/Modular Adder - RG354795

Description

This block performs an extended-precision addition followed by a division and outputs the quotient and remainder from the division operation. All inputs and outputs are ordinals. All inputs are persistent and will trigger the computation.

Quotient overflow is handled by saturation. The remainder cannot overflow. Division by zero is not supported and both outputs are undefined in this case.

Parameters

a	Ordinal addend 1. Expects ordinal [0, 65535].

b	Ordinal addend 2. Expects ordinal [0, 65535].

d	Ordinal divisor. Expects ordinal [1, 65535].

Get Input 1	Returns a.

Get Input 2	Returns b.

Get Divisor	Returns d.

Get Quotient	Returns the last Q output ordinal [0, 65535].

Get Remainder	Returns the last R output ordinal [0, d).


Description

This block performs an extended-precision addition followed by a division and outputs the quotient and remainder from the division operation. All inputs and outputs are ordinals. All inputs are persistent and will trigger the computation.

Quotient overflow is handled by saturation. The remainder cannot overflow. Division by zero is not supported and both outputs are undefined in this case.


Parameters

a	Ordinal addend 1. Expects ordinal [0, 65535].

b	Ordinal addend 2. Expects ordinal [0, 65535].

d	Ordinal divisor. Expects ordinal [1, 65535].

Get Input 1	Returns a.

Get Input 2	Returns b.

Get Divisor	Returns d.

Get Quotient	Returns the last Q output ordinal [0, 65535].

Get Remainder	Returns the last R output ordinal [0, d).